<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: Player Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-slots">Public Slots</a> &#124;
<a href="#signals">Signals</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classPlayer-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Player Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for Player:</div>
<div class="dyncontent">
<div class="center"><img src="classPlayer__inherit__graph.png" border="0" usemap="#aPlayer_inherit__map" alt="Inheritance graph"/></div>
<map name="aPlayer_inherit__map" id="aPlayer_inherit__map">
<area shape="rect" title=" " alt="" coords="109,80,171,107"/>
<area shape="rect" title=" " alt="" coords="5,5,136,32"/>
<area shape="rect" href="classSerializable.html" title=" " alt="" coords="160,5,259,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for Player:</div>
<div class="dyncontent">
<div class="center"><img src="classPlayer__coll__graph.png" border="0" usemap="#aPlayer_coll__map" alt="Collaboration graph"/></div>
<map name="aPlayer_coll__map" id="aPlayer_coll__map">
<area shape="rect" title=" " alt="" coords="109,80,171,107"/>
<area shape="rect" title=" " alt="" coords="5,5,136,32"/>
<area shape="rect" href="classSerializable.html" title=" " alt="" coords="160,5,259,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-slots"></a>
Public Slots</h2></td></tr>
<tr class="memitem:a81a24a6eb0c378385fc3e9e4771f0ca6"><td class="memItemLeft" align="right" valign="top"><a id="a81a24a6eb0c378385fc3e9e4771f0ca6"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>onClickedCardInHand</b> (<a class="el" href="classCard.html">Card</a> *c, <a class="el" href="classHand.html">Hand</a> *h)</td></tr>
<tr class="separator:a81a24a6eb0c378385fc3e9e4771f0ca6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9d46b7673133eeda6c6f148077983568"><td class="memItemLeft" align="right" valign="top"><a id="a9d46b7673133eeda6c6f148077983568"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>onClickedCardInDeck</b> (<a class="el" href="classCard.html">Card</a> *c, <a class="el" href="classDeck.html">Deck</a> *d)</td></tr>
<tr class="separator:a9d46b7673133eeda6c6f148077983568"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="signals"></a>
Signals</h2></td></tr>
<tr class="memitem:a0b08f64287057630adf9e4f1cca8ed86"><td class="memItemLeft" align="right" valign="top"><a id="a0b08f64287057630adf9e4f1cca8ed86"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>clicked</b> ()</td></tr>
<tr class="separator:a0b08f64287057630adf9e4f1cca8ed86"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af08d41904903d72e8409659fd2f155df"><td class="memItemLeft" align="right" valign="top"><a id="af08d41904903d72e8409659fd2f155df"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>clickedCardInHandInPlayer</b> (<a class="el" href="classCard.html">Card</a> *c, <a class="el" href="classHand.html">Hand</a> *h, <a class="el" href="classPlayer.html">Player</a> *p)</td></tr>
<tr class="separator:af08d41904903d72e8409659fd2f155df"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad62d8c21ce9173294a6ed2a29ff0247e"><td class="memItemLeft" align="right" valign="top"><a id="ad62d8c21ce9173294a6ed2a29ff0247e"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>clickedCardInDeckInPlayer</b> (<a class="el" href="classCard.html">Card</a> *c, <a class="el" href="classDeck.html">Deck</a> *d, <a class="el" href="classPlayer.html">Player</a> *p)</td></tr>
<tr class="separator:ad62d8c21ce9173294a6ed2a29ff0247e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac5be9db684f917a26d385eedab46b189"><td class="memItemLeft" align="right" valign="top"><a id="ac5be9db684f917a26d385eedab46b189"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>clickedPlayer</b> (<a class="el" href="classPlayer.html">Player</a> *)</td></tr>
<tr class="separator:ac5be9db684f917a26d385eedab46b189"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:af7b3a1434a7e45e864e5248ab4bb9044"><td class="memItemLeft" align="right" valign="top"><a id="af7b3a1434a7e45e864e5248ab4bb9044"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>Player</b> (BanditType id)</td></tr>
<tr class="separator:af7b3a1434a7e45e864e5248ab4bb9044"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4564f8fa894a5297d81c31ade680f1f"><td class="memItemLeft" align="right" valign="top"><a id="ae4564f8fa894a5297d81c31ade680f1f"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>Player</b> (bool isItMyMove, BanditType id, <a class="el" href="classHand.html">Hand</a> *h, <a class="el" href="classDeck.html">Deck</a> *d, <a class="el" href="classDeck.html">Deck</a> *bcd, int pos, bool roof, <a class="el" href="classTreasureChest.html">TreasureChest</a> tc)</td></tr>
<tr class="separator:ae4564f8fa894a5297d81c31ade680f1f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5defd1899eedde45330dc7e474036df6"><td class="memItemLeft" align="right" valign="top"><a id="a5defd1899eedde45330dc7e474036df6"></a>
<a class="el" href="classPlayer.html">Player</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator=</b> (const <a class="el" href="classPlayer.html">Player</a> &amp;player)</td></tr>
<tr class="separator:a5defd1899eedde45330dc7e474036df6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abdc2fcf10f909b85982be36524c8cabc"><td class="memItemLeft" align="right" valign="top"><a id="abdc2fcf10f909b85982be36524c8cabc"></a>
BanditType&#160;</td><td class="memItemRight" valign="bottom"><b>id</b> () const</td></tr>
<tr class="separator:abdc2fcf10f909b85982be36524c8cabc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2522abd2b1490791ebdf58ffe7241e17"><td class="memItemLeft" align="right" valign="top"><a id="a2522abd2b1490791ebdf58ffe7241e17"></a>
<a class="el" href="classHand.html">Hand</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>hand</b> ()</td></tr>
<tr class="separator:a2522abd2b1490791ebdf58ffe7241e17"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9562626075fb37b513e8b590ff3e9288"><td class="memItemLeft" align="right" valign="top"><a id="a9562626075fb37b513e8b590ff3e9288"></a>
<a class="el" href="classDeck.html">Deck</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>deck</b> ()</td></tr>
<tr class="separator:a9562626075fb37b513e8b590ff3e9288"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a930ca7fb5d69cb1f05c519c9f4bf8043"><td class="memItemLeft" align="right" valign="top"><a id="a930ca7fb5d69cb1f05c519c9f4bf8043"></a>
<a class="el" href="classDeck.html">Deck</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>bullet_deck</b> ()</td></tr>
<tr class="separator:a930ca7fb5d69cb1f05c519c9f4bf8043"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad1a2a4445845e7d2797aff1ae413e9b9"><td class="memItemLeft" align="right" valign="top"><a id="ad1a2a4445845e7d2797aff1ae413e9b9"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>positionInTrain</b> () const</td></tr>
<tr class="separator:ad1a2a4445845e7d2797aff1ae413e9b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a28dc3843c359f29bd9a70ef076860573"><td class="memItemLeft" align="right" valign="top"><a id="a28dc3843c359f29bd9a70ef076860573"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>roof</b> () const</td></tr>
<tr class="separator:a28dc3843c359f29bd9a70ef076860573"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7f1020e11fc171249c7835e2faac2f31"><td class="memItemLeft" align="right" valign="top"><a id="a7f1020e11fc171249c7835e2faac2f31"></a>
<a class="el" href="classTreasureChest.html">TreasureChest</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>treasure</b> ()</td></tr>
<tr class="separator:a7f1020e11fc171249c7835e2faac2f31"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a70ec20fc567d0b7e26298bfd4873b16b"><td class="memItemLeft" align="right" valign="top"><a id="a70ec20fc567d0b7e26298bfd4873b16b"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>isItMyMove</b> () const</td></tr>
<tr class="separator:a70ec20fc567d0b7e26298bfd4873b16b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f3793e01c31b2e9b0d9de7d85221604"><td class="memItemLeft" align="right" valign="top"><a id="a1f3793e01c31b2e9b0d9de7d85221604"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setPositionInTrain</b> (int newPositionInTrain)</td></tr>
<tr class="separator:a1f3793e01c31b2e9b0d9de7d85221604"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aacf0fd66392953416aa4c7acd621d69f"><td class="memItemLeft" align="right" valign="top"><a id="aacf0fd66392953416aa4c7acd621d69f"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setRoof</b> (bool newRoof)</td></tr>
<tr class="separator:aacf0fd66392953416aa4c7acd621d69f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af53adea5e2060ce92c02b37c0d45e453"><td class="memItemLeft" align="right" valign="top"><a id="af53adea5e2060ce92c02b37c0d45e453"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setMyMove</b> (bool)</td></tr>
<tr class="separator:af53adea5e2060ce92c02b37c0d45e453"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a53dd8ecb446cdcbde659f0fe7fec4d27"><td class="memItemLeft" align="right" valign="top"><a id="a53dd8ecb446cdcbde659f0fe7fec4d27"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>isBulletDeckEmpty</b> () const</td></tr>
<tr class="separator:a53dd8ecb446cdcbde659f0fe7fec4d27"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acbb78eaa7769bda1370a0dbcd2eecefd"><td class="memItemLeft" align="right" valign="top"><a id="acbb78eaa7769bda1370a0dbcd2eecefd"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>countAmountOfTreasure</b> () const</td></tr>
<tr class="separator:acbb78eaa7769bda1370a0dbcd2eecefd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac8d9f43ff24ff91a65bb32c69a9b7b31"><td class="memItemLeft" align="right" valign="top"><a id="ac8d9f43ff24ff91a65bb32c69a9b7b31"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>returnCardsToDeck</b> ()</td></tr>
<tr class="separator:ac8d9f43ff24ff91a65bb32c69a9b7b31"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2047554845e562ec8fa276a5c7ccbe91"><td class="memItemLeft" align="right" valign="top"><a id="a2047554845e562ec8fa276a5c7ccbe91"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>shuffleDeck</b> (int)</td></tr>
<tr class="separator:a2047554845e562ec8fa276a5c7ccbe91"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa8f851a5bfb7cb30515d4e61bbf9cacf"><td class="memItemLeft" align="right" valign="top"><a id="aa8f851a5bfb7cb30515d4e61bbf9cacf"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>drawCards</b> (unsigned n)</td></tr>
<tr class="separator:aa8f851a5bfb7cb30515d4e61bbf9cacf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af6920e2071280b9fe86d8ef9c9468523"><td class="memItemLeft" align="right" valign="top"><a id="af6920e2071280b9fe86d8ef9c9468523"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>toString</b> () const</td></tr>
<tr class="separator:af6920e2071280b9fe86d8ef9c9468523"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac360351bb06514819488e56c8353831e"><td class="memItemLeft" align="right" valign="top"><a id="ac360351bb06514819488e56c8353831e"></a>
QRectF&#160;</td><td class="memItemRight" valign="bottom"><b>boundingRect</b> () const</td></tr>
<tr class="separator:ac360351bb06514819488e56c8353831e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a02d1d7a8488bc2ed3a9b317dcf17b39c"><td class="memItemLeft" align="right" valign="top"><a id="a02d1d7a8488bc2ed3a9b317dcf17b39c"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>paint</b> (QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget)</td></tr>
<tr class="separator:a02d1d7a8488bc2ed3a9b317dcf17b39c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a20a2a48854b9e594f85cdabf80472928"><td class="memItemLeft" align="right" valign="top"><a id="a20a2a48854b9e594f85cdabf80472928"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>mousePressEvent</b> (QGraphicsSceneMouseEvent *event)</td></tr>
<tr class="separator:a20a2a48854b9e594f85cdabf80472928"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a29f1af175717c3c0acfb86d28642a2aa"><td class="memItemLeft" align="right" valign="top"><a id="a29f1af175717c3c0acfb86d28642a2aa"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>width</b> () const</td></tr>
<tr class="separator:a29f1af175717c3c0acfb86d28642a2aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab26d9aae746597e36610138f945c41d1"><td class="memItemLeft" align="right" valign="top"><a id="ab26d9aae746597e36610138f945c41d1"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>height</b> () const</td></tr>
<tr class="separator:ab26d9aae746597e36610138f945c41d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a22ccf7272720eaef841abac9ddb99bde"><td class="memItemLeft" align="right" valign="top"><a id="a22ccf7272720eaef841abac9ddb99bde"></a>
QVariant&#160;</td><td class="memItemRight" valign="bottom"><b>toVariant</b> () const</td></tr>
<tr class="separator:a22ccf7272720eaef841abac9ddb99bde"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b621f7305672946c6694caf9ea42243"><td class="memItemLeft" align="right" valign="top"><a id="a7b621f7305672946c6694caf9ea42243"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>fromVariant</b> (const QVariant &amp;variant)</td></tr>
<tr class="separator:a7b621f7305672946c6694caf9ea42243"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>headers/<a class="el" href="player_8h_source.html">player.h</a></li>
<li>src/player.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
